IPCC 3.5 upgrade

Unanswered Question
Apr 25th, 2008


could you please point me on the right path to upgrade my ipcc from 3.5 to 5

and provide the proper documentation

thank you

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
lpezj Fri, 04/25/2008 - 10:49


As I know there is a process to upgrade for IPCCX from 3.5, 4.0, 4.1 to 6.0 (http://www.cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_6_0/installation/guide/crs601ig.pdf).

You can upgrade IPCCX 4.5 to version 5 (http://www.cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_5_0/installation/for_crs/crs501ig.pdf).

But I don't have get any document to upgrade 3.5 to 5. In this case, I suppose that you are going to upgrade CallManager to version 5 or 6. If this is the case, try to get help for your Cisco SE.

Hope this helps,

Juan Luis

Jonathan Schulenberg Sun, 04/27/2008 - 07:41

Please study the CRS Hardware and Software Compatibility Guide: http://cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_compatibility/matrix/crscomtx.pdf

You will notice that UCCX 6.0 is compatible only with CallManager 4.3(1). UCCX 5.0(2) is compatible with Communications Manager 5.1, 6.0, and 6.1. Your version of UCM will dictate which version you choose. If you are on CallManager 4.2 or lower I strongly recommend going to Communications Manager 6.1 over CallManager 4.3.

As far as an upgrade goes: You will loose the upgrade path between 4.0 and 4.5. Cisco changed the database schema and other underlying code between these two versions and broke the upgrade path in the process. You can port your scripts forward by opening them in the CRS Editor that comes with 5.x, re-validating, and saving them again into the new repository. Likewise, you can save your databases to another SQL server (NOT your new UCCX 5 box) and report against them separately if you require. Your other configurations (applications, skills/resource groups, CSQs, etc) will need to be rebuilt.

Also pay very careful attention to the new hardware you order. Do not place an order without carefully running through these two tools:

Cisco Unified Contact Center Express 5.0 Configuration and Ordering Tools: http://www.cisco.com/en/US/prod/collateral/voicesw/custcosw/ps5693/ps1846/prod_technical_reference0900aecd8064888a.xls

IPC Resource Calculator: http://tools.cisco.com/partner/ipccal/index.htm

Certain things impact the requirements of the server. These tools are required by Cisco for it to be a valid and supported configuration. If you stray beyond them, TAC will not assist you!

The following documents may assist in your upgrade/install. CCO login is required.

SRND: http://cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_5_0/design/guide/crs502srnd.pdf

Getting Started: http://cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_5_0/installation/getting_started/with_express/ccx501gs.pdf

Install Guides (multiple): http://cisco.com/en/US/partner/products/sw/custcosw/ps1846/prod_installation_guides_list.html

Administration: http://cisco.com/en/US/docs/voice_ip_comm/cust_contact/contact_center/crs/express_5_0/maintenance/admin/crs501ag.pdf

Programing (multiple): http://cisco.com/en/US/partner/products/sw/custcosw/ps1846/products_programming_reference_guides_list.html


This Discussion